RPC.LOCKD(8) | System Manager's Manual | RPC.LOCKD(8)

# NAME

rpc.lockd — NFS file locking daemon

# SYNOPSIS

rpc.lockd | [-d debug_level] [-g grace period]

# DESCRIPTION

The rpc.lockd daemon provides monitored and unmonitored file and record locking services in an NFS environment. To monitor the status of hosts requesting locks, the locking daemon typically operates in conjunction with rpc.statd(8).

Options and operands available for rpc.lockd :

-d
  The -d option causes debugging information to be written to syslog, recording all RPC transactions to the daemon. These messages are logged with level LOG_DEBUG and facility LOG_DAEMON. Specifying a debug_level of 1 results in the generation of one log line per protocol operation. Higher debug levels can be specified, causing display of operation arguments and internal operations of the daemon.
-g
  The -g option allow to specify the grace period, in seconds. During the grace period rpc.lockd only accepts requests from hosts which are reinitialising locks which existed before the server restart. Default is 30 seconds.

Error conditions are logged to syslog, irrespective of the debug level, using log level LOG_ERR and facility LOG_DAEMON.

The rpc.lockd daemon must NOT be invoked by inetd(8) because the protocol assumes that the daemon will run from system start time. Instead, it should be configured in rc.conf(5) to run at system startup.

# FILES

/usr/include/rpcsvc/nlm_prot.x
  RPC protocol specification for the network lock manager protocol.

# SEE ALSO

syslog(3), rc.conf(5), rpc.statd(8)

# STANDARDS

The implementation is based on the specification in X/Open CAE Specification C218, "Protocols for X/Open PC Interworking: XNFS, Issue 4", ISBN 1 872630 66 9

# HISTORY

A version of rpc.lockd appeared in SunOS 4.

# BUGS

The current implementation provides only the server side of the protocol (i.e. clients running other OS types can establish locks on a NetBSD fileserver, but there is currently no means for a NetBSD client to establish locks).

The current implementation serialises locks requests that could be shared.

September 24, 1995 | NetBSD 6.0